ManualArch/it

From FreeCAD Documentation
Jump to: navigation, search

Guida ai comandi di FreeCAD

Architettura

Questa è la guida ai comandi di FreeCAD. Comprende le pagine del Wiki della documentazione di FreeCAD che si riferiscono ai comandi. Questa versione è stata creata principalmente per essere stampata come un unico grande documento o per consentire una panoramica veloce sulle pagine dei comandi. Se si sta leggendo questo online, si consiglia di andare direttamente alla Guida in linea, che è più facile da esplorare.


Arrow-left.svg Ambienti Pagina precedente:
Pagina successiva: Ambiente Draft Workbench Draft.svg Arrow-right.svg

Workbench Arch.svg

Introduzione

Il modulo Arch fornisce a FreeCAD un moderno flusso di lavoro di tipo building information modelling (BIM), con supporto per funzionalità come entità architettoniche completamente parametriche come muri, elementi strutturali, tetti, finestre, scale, tubazioni e mobili. Supporta i dati industry foundation classes (IFC), e la produzione di planimetrie 2D in combinazione con l'ambiente TechDraw.

L'ambiente Arch importa tutti gli strumenti dall'ambiente Draft, poiché usa oggetti 2D per costruire i suoi oggetti architettonici. Tuttavia, Arch può anche utilizzare oggetti solidi creati in altri ambiente di lavoro come Parte e PartDesign.

La funzionalità BIM di FreeCAD ora è progressivamente distribuita in questo ambiente Arch, che contiene gli strumenti di base per l'architettura, e BIM, che è possibile installare tramite Addon Manager. Questo ambiente aggiunge un nuovo livello di interfaccia in cima agli strumenti Arch, con l'obiettivo di rendere facile e più intuitivo il flusso di lavoro BIM in FreeCAD.

Screenshot arch window.jpg

Strumenti

Strumenti per creare gli oggetti architettonici.

  • Arch Wall.png Parete: crea un muro tramite uno schizzo o utilizzando come base un oggetto selezionato
  • Arch Structure.png Struttura: crea un elemento strutturale tramite uno schizzo o utilizzando come base un oggetto selezionato
  • Arch CompRebarStraight.png Armature: l'Addon Reinforcement incrementa le Strutture di Arch.
    • Arch Rebar Straight.png Armatura dritta: crea una armatura diritta in un elemento strutturale selezionato
    • UShapeRebar.png Armatura a U: crea una armatura piegata a U in un elemento strutturale selezionato
    • Arch Rebar LShape.png Armatura a L: crea una armatura a forma di L in un elemento strutturale selezionato
    • Arch Rebar BentShape.png Armatura sagomata: crea una armatura sagomata in un elemento strutturale selezionato
    • Arch Rebar Stirrup.png Staffe armatura: crea le staffe di una armatura in un elemento strutturale selezionato
    • Arch Rebar Helical.png Armatura elicoidale: crea una armatura elicoidale in un elemento strutturale selezionato
    • Arch Rebar ColumnReinforcement.svg Rinforzo di colonna: crea barre di rinforzo all'interno di una Struttura colonna di Arch.
    • Arch Rebar ColumnReinforcement.svg Rinforzo di colonna TwoTiesSixRebars: crea barre di rinforzo all'interno di una Struttura colonna di Arch.
    • Arch Rebar BeamReinforcement.svg Rinforzo di trave: crea barre di rinforzo all'interno di una Struttura trave di Arch.
    • Arch Rebar.png Armatura: crea l'armatura in un elemento strutturale estrudendo uno schizzo o utilizzando come base un oggetto selezionato
  • Arch Floor.png Piano: Crea un piano che comprende gli oggetti selezionati
  • Arch Building.png Edificio: Crea un edificio che comprende gli oggetti selezionati
  • Arch BuildingPart.png Parte di edificio: Crea una parte di edificio che include oggetti selezionati
  • Arch Site.png Sito: Crea un sito che comprende gli oggetti selezionati
  • Arch Project.svg Progetto: Crea un progetto includendo gli oggetti selezionati
  • Arch Reference.png Riferimento esterno: Collega oggetti di un altro file di FreeCAD in questo documento
  • Arch Window.png Finestra: Crea una finestra utilizzando come base un oggetto selezionato
  • Arch SectionPlane.png Piano di sezione: Aggiunge un oggetto Piano di sezione al documento
  • Arch CompAxis.png Assi: Lo strumento Assi consente di posizionare una serie di assi nel documento corrente.
    • Arch Axis.png Asse: Aggiunge al documento un sistema di assi in 1 direzione
    • Arch AxisSystem.png Sistema di assi: Aggiunge al documento un sistema di assi composto da più assi
    • Arch Grid.png Griglia: Inserisce un oggetto tipo griglia nel documento.
  • Arch Roof.png Tetto: Crea le falde del tetto partendo da una faccia selezionata
  • Arch Space.png Spazio: Crea un oggetto spazio
  • Arch Stairs.png Scala: Crea un oggetto scala

Strumenti di modifica

Strumenti per modificare gli oggetti architettonici.

Utilità

Strumenti aggiuntivi di aiuto per operazioni specifiche.

Preferences

  • Preferences-arch.svg Preferenze: preferenze per l'aspetto predefinito di pareti, strutture, armature, finestre, scale, pannelli, tubazioni, griglie e assi.

Formati dei file

  • IFC : Industry foundation Classes
  • DAE : Formato mesh Collada
  • OBJ : Formato mesh Obj (solo esportazione)
  • JSON : Formato JavaScript Object Notation (solo esportazione)
  • 3DS : Formato 3DS (solo importazione)

API

Il Modulo Arch può essere usato negli Python e macro utilizzando la funzione Arch Python API.

Tutorial


Arrow-left.svg Ambienti Pagina precedente:
Pagina successiva: Ambiente Draft Workbench Draft.svg Arrow-right.svg


Ambiente Arch: Strumenti di costruzione


FreeCAD.png
Pagina successiva: Struttura Arch Structure.png Arrow-right.svg

Arch Wall.svg Muro

Posizione nel menu
Architettura → Muro
Ambiente
Architettura
Avvio veloce
W A
Introdotto nella versione
-
Vedere anche
Struttura

Contents


Descrizione

Questo strumento crea un oggetto Muro utilizzando come base una forma o oggetto mesh. Un muro può essere costruito anche senza alcun oggetto di base, nel qual caso si comporta come un volume cubico, utilizzando le proprietà lunghezza, larghezza e altezza. Quando è costruito usando una forma esistente, un muro può essere basato su:

  • Un oggetto lineare 2D, come ad esempio una linea, un arco, una spezzata o uno schizzo, in questo caso è possibile modificarne lo spessore, l'allineamento (a destra, a sinistra o al centro) e l'altezza. La proprietà length non ha alcun effetto.
  • Una faccia o una superficie piana, nel qual caso si può modificare solo l'altezza. Le proprietà Lunghezza e larghezza non hanno alcun effetto. Se la faccia di base è verticale, invece, il muro utilizza la proprietà larghezza invece di altezza, e consente di costruire pareti usando lo spazio come oggetto o studi della massa.
  • Un solido, nel qual caso non è possibile cambiare nulla. La parete utilizza semplicemente il solido base come sua forma.
  • Un mesh, nel qual caso il mesh deve essere un solido chiuso, cioè un solido manifold.

Arch Wall example.jpg

Pareti costruite su un segmento, su una spezzata, su una faccia, su un solido e su uno schizzo.


Agli oggetti Pareti si possono anche applicare Aggiunte o Sottrazioni. Le Aggiunte sono altri oggetti le cui forme sono unite alla forma Muro in lavorazione, mentre le Sottrazioni sono forme che vengono eliminate.

Le Aggiunte e le Sottrazioni si eseguono con gli strumenti Arch Add.png Aggiungi e Arch Remove.png Sottrai. Le Addizioni e le Sottrazioni non hanno alcuna influenza sui parametri della parete, tipo altezza e larghezza, che possono ancora essere modificati.

Le pareti possono anche avere l'altezza automatica, se sono incluse in un oggetto di livello superiore, tipo il Piano. L'altezza deve essere impostata a 0, così il muro adotta l'altezza specificata per l'oggetto genitore.

Quando più pareti devono essere intersecate, è necessario inserirle in un piano per ottenere la loro geometria intersecata.

Utilizzo

Disegnare un muro dall'inizio

  1. Premere il pulsante Arch Wall.svg Parete, oppure premere i tasti W e A.
  2. Definire un primo punto nella vista 3D, o digitare le sue coordinate.
  3. Definire un secondo punto nella vista 3D, o digitare le sue coordinate.

Disegnare un muro su un oggetto selezionato

  1. Selezionare uno o più oggetti per la geometria di base (oggetti Draft, schizzi, etc)
  2. Premere il pulsante Arch Wall.svg Parete, oppure premere i tasti W e A
  3. Regolare, se necessario, le proprietà, come altezza o larghezza.

Opzioni

  • Gli elementi Muro condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • L'altezza, la larghezza e l'allineamento di un muro può essere impostato durante il disegno, tramite il pannello delle Azioni.
  • Quando aggancia una parete di una parete esistente, entrambe le pareti si uniscono in una sola. Il modo in cui sono unite le due pareti dipende dalle loro proprietà. Se hanno la stessa larghezza, altezza e orientamento, la parete risultante sarà un oggetto basato su uno schizzo composto da più segmenti. Altrimenti, l'ultima parete verrà unita alla prima come oggetto aggiunta.
  • Premere X, Y o Z dopo il primo punto per vincolare il secondo punto su un dato asse.
  • Per inserire le coordinate manualmente, è sufficiente inserire il valore, quindi premere Invio tra ogni componente X, Y e Z .
  • Premere R oppure fare clic sulla casella di controllo per selezionare o deselezionare la modalità Relativo. In modalità Relativo, le coordinate del secondo punto sono relative al primo. In caso contrario sono assolute, a partire dal punto di origine (0,0,0).
  • Premere Maiusc mentre si disegna per vincolare orizzontalmente o verticalmente il secondo punto rispetto al primo.
  • Premere Esc o premere il pulsante Cancella per uscire dal comando attivo.
  • Facendo doppio clic sul muro nella vista ad albero dopo la sua creazione si attiva la modalità di modifica che permette di accedere alle sue addizioni e sottrazioni e di modificarle .
  • I muri multistrato possono essere facilmente creati costruendo diversi muri sulla stessa linea base. Impostando la proprietà Align a destra o a sinistra e specificando un valore di offset, si possono costruire efficacemente i diversi strati della parete. Inserendo una finestra in uno degli strati della parete l'apertura si propaga in tutti gli strati della parete creati con la stessa linea base.
  • I muri possono anche utilizzare i Multi-Materiali. Quando si utilizza un multi-materiale, la parete diventa multistrato, utilizzando gli spessori specificati nel multi-materiale. A qualsiasi strato con uno spessore pari a zero viene assegnato lo spessore definito automaticamente dallo spazio rimanente definito dal valore Width della parete meno gli altri strati.
  • I muri possono essere fatti per mostrare blocchi, invece di un singolo solido, attivando la proprietà DATAMake Blocks. La dimensione e l'offset dei blocchi possono essere configurati con proprietà diverse e la quantità di blocchi viene calcolata automaticamente. Disponibile dalla versione 0.18

Aggancio

Con i muri dell'ambiente Arch l'aggancio funziona un po' diversamente da come funziona con gli altri oggetti di Arch e di Draft. Quando un muro è basato su un oggetto l'aggancio crea un ancoraggio all'oggetto base, e non alla geometria muro, consentendo di allineare facilmente i muri tramite le loro linee base. Quando invece si desidera agganciare la geometria muro, premere Ctrl per trasferire l'ancoraggio all'oggetto muro.

Arch wall snap.jpg

Seconda parete che si collega perpendicolarmente alla prima


Proprietà

Gli oggetti Parete ereditano le proprietà degli oggetti Part, e hanno anche le seguenti proprietà supplementari:

  • DatiAlign: L'allineamento del muro sulla sua linea di base: a sinistra, a destra o al centro
  • DatiBase: L'oggetto di base su cui è costruito il muro
  • DatiFace: L'indice della faccia dell'oggetto base da usare. Se il valore non è impostato o è 0, viene utilizzato l'intero oggetto
  • DatiForce Wire: Se è True, e la parete si basa su una faccia, viene usato solo il perimetro della faccia, ottenendo una parete confinante con la faccia
  • DatiLength: La lunghezza del muro (non utilizzato quando la parete è basato su un oggetto)
  • DatiWidth: La larghezza della parete (non utilizzato quando la parete è basato su una faccia).
  • DatiHeight: L'altezza della parete (non utilizzato quando la parete è basato su un solido). Se non viene data l'altezza e il muro è inserito in un oggetto piano la cui altezza è definita, la parete assume automaticamente il valore dell'altezza del piano.
  • DatiNormal: La direzione di estrusione per la parete. Se è impostata a (0,0,0), la direzione di estrusione è automatica.
  • DatiOffset: Specifica la distanza tra la parete e la sua linea base. Funziona solo se la proprietà Align è impostata a destra o a sinistra.

Disponibile dalla versione 0.18:

  • DATIMake Blocks: Abilita questo per far sì che il muro generi blocchi
  • DATIBlock Length: La lunghezza di ciascun blocco
  • DATIBlock Height: L'altezza di ogni blocco
  • DATIOffset First: L'offset orizzontale della prima riga di blocchi
  • DATIOffset Second: L'offset orizzontale della seconda riga di blocchi
  • DATIJoint: La dimensione delle articolazioni tra ciascun blocco
  • DATICount Entire: Il numero di interi blocchi (sola lettura)
  • DATICount Broken: Il numero di blocchi interrotti (sola lettura)

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Muro può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Wall = makeWall(baseobj=None, length=None, width=None, height=None, align="Center", face=None, name="Wall")
  • Crea un oggetto Wall dal baseobj dato, che può essere un oggetto Draft, uno Schizzo, una faccia, o un solido.
    • Se non viene dato un baseobj, si posssono fornire i valori numerici per length, width (thickness), e height.
    • Se face è data, essa può essere usata per dare l'indice della faccia a partire dall'oggetto sottostante, invece di usare l'intero oggetto per costruire il muro.
  • align può essere "Center", "Left" o "Right".
  • Se l'operazione fallisce restituisce None.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
Draft.move(Wall2, FreeCAD.Vector(0, -1000, 0))
FreeCAD.ActiveDocument.recompute()
FreeCAD.png
Pagina successiva: Struttura Arch Structure.png Arrow-right.svg

Arrow-left.svg Arch Wall.png Muro Pagina precedente:
Pagina successiva: Armatura Arch CompRebarStraight.png Arrow-right.svg

Arch Structure.svg Struttura

Posizione nel menu
Arch → Struttura
Ambiente
Arch
Avvio veloce
S T
Introdotto nella versione
-
Vedere anche
Muro, Armature


Descrizione

Lo strumento Struttura permette di costruire elementi strutturali quali colonne o travi, specificando la loro larghezza, lunghezza e altezza, o derivandoli da un profilo 2D di base (faccia, contorno o schizzo).

Se non viene fornito alcun profilo, è disponibile una serie di modelli predefiniti per creare rapidamente un elemento strutturale da un profilo standard predefinito.

Arch Structure example.jpg

Colonna basata su un profilo di base 2D; una colonna e un raggio definiti dalla loro altezza, lunghezza e larghezza, senza un profilo di base; una struttura metallica basata su una faccia 2D


Utilizzo

  • Selezionare una forma 2D (oggetto di Draft, area o schizzo) (opzionale)
  • Premere il pulsante Arch Structure.svg Struttura, oppure premere i tasti S e poi T
  • Regolare le proprietà come desiderate

Opzioni

  • Quando non è selezionato alcun oggetto 2D di base, lo strumento struttura ha 2 modalità di disegno: Colonna e Trave:
    • In modalità colonna, viene chiesto di selezionare un punto sullo schermo o di immettere le sue coordinate. Il nuovo oggetto strutturale viene posizionato in quel punto.
    • In modalità trave, viene chiesto di selezionare due punti sullo schermo o di immettere le loro coordinate. Il nuovo oggetto strutturale si estende tra questi due punti.
  • Gli elementi strutturali condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • La lunghezza, la larghezza e l'altezza di una struttura possono essere regolate dopo la creazione
  • Premere Esc o premere il pulsante Cancella per uscire dal comando attivo.
  • Facendo doppio clic sulla struttura nella vista ad albero dopo la sua creazione permette di accedere alla modalità di modifica e di accedere e modificare le sue addizioni e sottrazioni
  • In modalità di modifica, è anche possibile aggiungere un sistema di assi per l'elemento strutturale. Quando si aggiunge un sistema di assi, l'elemento strutturale viene copiato una volta su ciascun asse del sistema. Quando si aggiungono due sistemi assi, l'elemento strutturale viene copiato una volta su ciascuna intersezione dei due sistemi.

Proprietà

Dati

  • DATATool: un percorso di estrusione opzionale, che può essere qualsiasi tipo di linea. Se questa proprietà è vuota, l'estrusione è diritta e viene creata nella direzione indicata dalla proprietà Normal
  • DATANormal: specifica la direzione in cui la faccia di base di questa struttura è estrusa. Se questa proprietà viene mantenuta su (0,0,0), la direzione è automaticamente impostata sulla direzione normale della faccia di base.
  • DATAFace Maker: specifica il tipo di algoritmo di generazione della faccia da utilizzare per creare il profilo. Le scelte sono None, Simple, Cheese e Bullseye.
  • DATALength: la lunghezza della struttura (utilizzata solo se non si basa su un profilo)
  • DATAWidth: la larghezza della struttura (utilizzata solo se non si basa su un profilo)
  • DATAHeight: l'altezza della struttura (o la lunghezza di estrusione quando si basa su un profilo). Se l'altezza non è data, e la struttura viene inserita in un oggetto piano la cui altezza è definita, la struttura assume automaticamente il valore dell'altezza del piano.
  • DATANodes Offset: un offset opzionale tra la linea centrale e la linea dei nodi

Vista

  • VIEWNodes Type: il tipo di nodi strutturali di questo oggetto, lineare o area.
  • VIEWShow Nodes: mostra o nasconde i nodi strutturali.

Preset

Lo strumento Struttura dispone anche di una serie di preset che permettono di creare rapidamente dei profili metallici standard o degli elementi prefabbricati in calcestruzzo.

Arch presets example.jpg

Alcuni preset per strutture in acciaio


Ai preset si accede scegliendo una Categoria dal pannello Opzioni struttura. Le categorie disponibili sono Prefabbricato in cemento o uno qualsiasi dei profili metallici standard del settore, come HEA, HEB o INP. Per ciascuna di queste categorie sono disponibili una serie di preset. Dopo aver scelto il preset, si possono regolare i singoli parametri quali Lunghezza, Larghezza o Altezza . Al contrario, per i profili metallici, le dimensioni del profilo sono definite dalla preimpostazione e non possono essere modificate.

Il pulsante Switch L/H può essere utilizzato per scambiare i valori lunghezza in altezza, e quindi costruire una trave orizzontale anziché una colonna verticale.

Arch precast example.jpg

Alcuni preset per strutture prefabbricate in calcestruzzo


Nodi strutturali

Gli oggetti struttura hanno anche la possibilità di visualizzare i nodi strutturali. I nodi strutturali sono una sequenza di punti 3D memorizzati nella proprietà "Nodes". Commutando on/off la proprietà vista "Show Nodes", si possono vedere i nodi strutturali di un elemento struttura:

Arch structural nodes.jpg

Nodi strutturali resi visibili in un insieme di strutture


  • I nodi vengono calcolati e aggiornati automaticamente, a meno che non siano modificati manualmente. Se invece sono stati modificati manualmente, essi non sono più aggiornati automaticamente quando la forma dell'oggetto strutturale cambia, a meno che in seguito non si utilizzi lo strumento "Reset nodi".
  • Oltre ai nodi lineari, le strutture Arch possono anche avere dei nodi planari. Per questo, 1- Ci devono essere almeno 3 vettori nella proprietà "Nodi" dell'oggetto, 2- La proprietà "NodesType" del loro ViewObject deve essere impostata su "Area".
  • Quando il calcolo dei nodi è automatico (cioè, non sono stati modificati manualmente), e si imposta la proprietà Role di una struttura su "Slab" (Soletta), i suoi nodi diventano automaticamente nodi planari (ci sono almeno 3 vettori e il NodesType è impostato su "Area").
  • Quando si modifica un oggetto Struttura (con doppio clic), nella vista Azioni sono disponibili alcuni strumenti nodo per:
    • Ripristinare il calcolo automatico dei nodi, nel caso in cui siano stati modificati manualmente
    • Modificare i nodi graficamente, che funziona nello stesso modo di Modifica di Draft
    • Prolungare i nodi dell'oggetto modificato fino a toccare il nodo di un altro oggetto
    • Rendere il nodo di un oggetto coincidente con quello di un altro oggetto
    • Commutare on/off la visualizzazione di tutti i nodi di tutti gli oggetti strutturali del documento

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Struttura può può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Structure = makeStructure(baseobj=None, height=None)
Structure = makeStructure(baseobj=None, length=None, width=None, height=None, name="Structure")
  • Crea un oggetto Struttura dal baseobj dato, che è un profilo chiuso, e dalla altezza di estrusione data.
    • Se non viene fornito un baseobj, si possono fornire i valori numerici per length, width, e height per creare una struttura a blocchi.
    • Il baseobj può anche essere qualsiasi oggetto solido esistente.

Esempio:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(200, 300)
Structure1 = Arch.makeStructure(Rect, height=2000)
FreeCAD.ActiveDocument.recompute()

Structure2 = Arch.makeStructure(None, length=500, width=1000, height=3000)
Draft.move(Structure2, FreeCAD.Vector(2000, 0, 0))
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Wall.png Muro Pagina precedente:
Pagina successiva: Armatura Arch CompRebarStraight.png Arrow-right.svg

Arrow-left.svg Arch Rebar BeamReinforcement.svg Armatura di trave Pagina precedente:
Pagina successiva: Piano Arch Floor.svg Arrow-right.svg

Arch Rebar.svg Armatura

Posizione nel menu
Arch → Armatura
Ambiente
Arch
Avvio veloce
R B
Introdotto nella versione
-
Vedere anche
Struttura, Addon Reinforcement


Descrizione

Lo strumento Armatura permette di posizionare delle barre di rinforzo negli oggetti Struttura.

Gli oggetti Armature sono basati su profili 2D come gli schizzi o gli oggetti draft, che devono essere disegnati su una faccia di un oggetto struttura. Dopo la creazione è possibile modificare la configurazione delle armature, come il numero e il diametro delle barre, o la distanza tra le estremità dell'elemento strutturale.

Arch Rebar example.jpg

Oggetto strutturale con due schizzi disegnati sulle sue facce, che vengono poi trasformati in due serie di oggetti armature


Estensione disponibile

Lo strumento Armatura è potenziato dal Reinforcement Addon, che viene installato dal Addon Manager. I tipi di barre di armatura aggiuntivi disponibili con l'addon sono:

Utilizzo

  1. Creare un elemento Arch Structure.svg Struttura.
  2. Passare nell'ambiente Sketcher.
  3. Selezionare una faccia dell'elemento strutturale.
  4. Premere il pulsante Sketcher NewSketch.svg Crea uno schizzo per iniziare un nuovo schizzo sulla faccia selezionata.
  5. Disegnare la sagoma dell'armatura.
  6. Premere il pulsante Sketcher LeaveSketch.svg Esci per terminare lo schizzo.
  7. Passare nel modulo Arch.
  8. Selezionare lo schizzo appena disegnato.
  9. Premere il pulsante Arch Rebar.svg Armatura, o i tasti R poi B.
  10. Regolare le proprietà desiderate. Se qualcuna delle proprietà crea una situazione impossibile, l'armatura potrebbe non apparire immediatamente, ad esempio, se il diametro del tondino è 0, o se la lunghezza offset è maggiore della lunghezza dell'elemento struttura.

Anche se normalmente all'interno di una struttura di Arch viene utilizzata una barra d'armatura, da FreeCAD 0.19 l'armatura può essere creata al di fuori di qualsiasi oggetto ospite. Per ospitare una barra di armatura all'interno di un oggetto, basta impostare la sua proprietà DATAHost.

Opzioni

  • Gli elementi Armatura condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • Il valore del raggio di piega viene espresso in n volte il diametro. Se la barra ha un diametro di 5 mm, un valore del raggio di piega 3 crea una curva con il raggio di 15 mm.
  • I valori di default per le nuove armature possono essere impostati nelle preferenze di Arch.
  • Se non è specificato un vettore di direzione, la direzione e la distanza lungo la quale le barre si propagano vengono calcolate automaticamente dall'oggetto strutturale ospitante, utilizzando la direzione normale al disegno di base, e incassandolo nell'oggetto struttura. Se si specifica un vettore di direzione, viene anche presa in considerazione la lunghezza di questo vettore.
  • La distanza viene calcolata secondo la quantità corrente di barre, e rappresenta la distanza tra gli assi delle barre. Quindi, per avere la dimensione dello spazio libero tra le barre è necessario sottrarre il diametro della barra.

Proprietà

  • DatiAmount: La quantità di barre.
  • DatiDiameter: Il diametro delle barre.
  • DatiDirection: La direzione (e lunghezza) lungo la quale le barre devono essere distribuite. Se il valore è (0,0,0), la direzione viene calcolata derivandola automaticamente dall'oggetto strutturale ospitante.
  • DatiOffset Start: La distanza di offset tra il bordo dell'oggetto strutturale e la prima barra.
  • DatiOffset End: La distanza di offset tra il bordo dell'oggetto strutturale e l'ultima barra.
  • DatiRounding: Un valore piega da applicare agli angoli delle barre, espresso in volte il diametro.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Script

Vedere anche: API Arch e Script di base per FreeCAD.

Lo strumento Armatura può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Crea un oggetto Rebar dal baseobj dato, che è una Struttura, e da uno sketch come profilo.
    • diameter, amount, e offset sono usati per definire le caratteristiche delle barre.
    • Se non viene fornito nessun valore per diameter, amount, o offset, sono utilizzati i valori di default definiti nelle Preferenze di Arch.

Esempio:

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Rebar BeamReinforcement.svg Armatura di trave Pagina precedente:
Pagina successiva: Piano Arch Floor.svg Arrow-right.svg

Arrow-left.svg Arch Rebar.svg Armatura Pagina precedente:
Pagina successiva: Parte di edificio Arch BuildingPart.svg Arrow-right.svg

Arch Floor.svg Piano

Posizione nel menu
Arch → Piano
Ambiente
Architettura
Avvio veloce
F L
Introdotto nella versione
-
Vedere anche
Edificio, Parte di edificio


Descrizione

Il Piano del modulo Arch è un gruppo speciale di oggetti di FreeCAD che possiede alcune proprietà aggiuntive particolarmente utili nella costruzione dei piani. In particolare, possiede la proprietà di altezza, che i suoi oggetti figli, i muri (muri e le strutture), possono utilizzare per impostare automaticamente la loro altezza. I piani sono prevalentemente utilizzati per organizzare il modello.

A partire da FreeCAD 0.18, il Piano è derivato interamente dall'oggetto Parte di edificio, che è un contenitore generale per organizzare un modello di edificio non limitato a piani o pavimenti. Gli oggetti Piano creati con versioni precedenti di FreeCAD possono essere convertiti nel nuovo tipo facendo clic con il pulsante destro del mouse su di essi e scegliendo Convert to BuildingPart.

Utilizzo

  1. Selezionare uno o più oggetti da includere nel nuovo piano.
  2. Premere il pulsante Arch Floor.svg Piano, oppure premere i tasti F e L

Opzioni

  • Dopo aver creato un piano, è possibile aggiungere ad esso altri oggetti con il drag-and-drop nella struttura ad albero o utilizzando lo strumento Arch Add.svg Aggiungi.
  • È possibile rimuovere gli oggetti da un piano trascinandoli fuori con il drag-and-drop nella vista ad albero o utilizzando lo strumento Arch Remove.svg Rimuovi.

Proprietà

Un oggetto Piano condivide tutte le proprietà di una Parte di edificio, con la proprietàDATAIfc Role impostata su "Building Storey".

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Piano può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Crea un oggetto Floor da una objectslist, che è una lista di oggetti.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Rebar.svg Armatura Pagina precedente:
Pagina successiva: Parte di edificio Arch BuildingPart.svg Arrow-right.svg

Arrow-left.svg Arch BuildingPart.svg Parte di edificio Pagina precedente:
Pagina successiva: Sito Arch Site.svg Arrow-right.svg

Arch Building.svg Edificio

Posizione nel menu
Arch → Edificio
Ambiente
Architettura
Avvio veloce
B U
Introdotto nella versione
-
Vedere anche
Parte di edificio, Sito


Descrizione

L'Edificio di Arch è un gruppo speciale di oggetti di FreeCAD particolarmente adatto per rappresentare un edificio completo. Viene prevalentemente utilizzato per organizzare gli oggetti Piano nel modello che li contiene.

Utilizzo

  1. Selezionare uno o più oggetti da includere nel nuovo edificio.
  2. Premere il pulsante Arch Building.svg Edificio, oppure premere i tasti B e U.

Opzioni

  • A partire dalla versione 0.18 di FreeCAD, l'oggetto Edificio è in realtà una Parte di edificio con la proprietà DATAIFC role impostata su "Building". È possibile convertire qualsiasi BuildingPart, Parte di edificio, in un edificio semplicemente modificando il suo ruolo IFC.
  • Dopo aver creato un edificio, è possibile aggiungere ad esso altri oggetti con il drag-and-drop nella struttura ad albero o utilizzando lo strumento Arch Add.svg Aggiungi.
  • È possibile rimuovere gli oggetti da un edificio trascinandoli fuori con il drag-and-drop nella vista ad albero o utilizzando lo strumento Arch Remove.svg Rimuovi.

Proprietà

  • DATABuilding Type: Il tipo di edificio, da scegliere da una lista

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Edificio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Building = makeBuilding(objectslist=None, baseobj=None, name="Building")
  • Crea un oggetto Building da una objectslist, che è una lista di oggetti, o da un baseobj, che è una Shape.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall1, Wall2])

Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch BuildingPart.svg Parte di edificio Pagina precedente:
Pagina successiva: Sito Arch Site.svg Arrow-right.svg

Arrow-left.svg Arch Building.svg Edificio Pagina precedente:
Pagina successiva: Riferimento esterno Arch Reference.svg Arrow-right.svg

Arch Site.svg Sito

Posizione nel menu
Arch → Sito
Ambiente
Architettura
Avvio veloce
S I
Introdotto nella versione
-
Vedere anche
Piano, Edificio


Descrizione

Il Sito di Arch è un oggetto speciale che unisce le proprietà di un oggetto gruppo standard di FreeCAD con quelle degli oggetti Arch. Esso è particolarmente adatto per rappresentare un intero sito del progetto o un terreno. Nei lavori di architettura basati su IFC, serve soprattutto per organizzare il modello, racchiudendo in esso gli oggetti edificio. Il sito è utilizzato anche per gestire e visualizzare un terreno fisico, e può calcolare i volumi di terra che devono essere aggiunti o rimossi.

Utilizzo

  1. Selezionare uno o più oggetti da includere nel nuovo sito
  2. Premere il pulsante Arch Site.svg Sito, oppure premere i tasti S e I

Opzioni

  • Dopo aver creato un sito, è possibile aggiungere ad esso altri oggetti con il drag-and-drop nella struttura ad albero o utilizzando lo strumento Arch Add.svg Aggiungi. Ciò determina solo quale oggetto fa parte di un dato sito, e non ha effetto sul terreno stesso.
  • È possibile rimuovere gli oggetti da un sito trascinandoli fuori con il drag-and-drop nella vista ad albero o utilizzando lo strumento Arch Remove.svg Rimuovi
  • È possibile aggiungere un oggetto terreno modificando la proprietà DATATerrain del Sito. Il terreno deve essere un guscio aperto (shell) o una superficie.
  • È possibile aggiungere volumi da sommare o da sottrarre dal terreno di base, facendo doppio clic sul Sito, e aggiungendo gli oggetti ai suoi gruppi Sottrazioni o Aggiunte. Gli oggetti devono essere dei solidi.
  • La proprietà DATAExtrusion Vector può essere utilizzata per risolvere alcuni problemi che possono presentarsi quando si lavora con le sottrazioni e le aggiunte. Per svolgere tali addizioni o sottrazioni, la superficie del terreno viene estrusa in un solido, che viene poi opportunamente aggiunto o sottratto. A seconda della topologia del terreno, questa estrusione potrebbe non riuscire con il vettore di default di estrusione. Può darsi che sia possibile risolvere il problema assegnando al vettore a un valore diverso.

Proprietà

Dati

  • DATITerrain: Il terreno di base del sito
  • DATIAddress: La via e il numero civico di questo sito
  • DATIPostal Code: Il codice postale o zip di questo sito
  • DATICity: La città di questo sito
  • DATICountry: Il paese di questo sito
  • DATILatitude: La latitudine di questo sito
  • DATILongitude: La longitudine di questo sito
  • DATIUrl: Un URL che mostra questo sito in un sito web mapping
  • DATIProjected Area: L'area della proiezione di questo oggetto sul piano XY
  • DATIPerimeter: La lunghezza del perimetro di questo terreno
  • DATIAddition Volume: Il volume di terra da aggiungere a questi terreni
  • DATISubtraction Volume: Il volume di terra da rimuovere da questi terreni
  • DATIExtrusion Vector: Un vettore di estrusione da utilizzare durante l'esecuzione di operazioni booleane
  • DATIRemove Splitter: Rimuovere gli scarti dalla forma risultante
  • DATADeclination: l'angolo tra la direzione Nord reale e quella Nord in questo documento, ovvero l'asse Y.introduced in version 0.18 Ciò significa che per impostazione predefinita l'asse Y punta a Nord e l'asse X punta a Est; l'angolo aumenta in senso antiorario. Questa proprietà era precedentemente nota comeDATANorth Deviation.
  • VISTASolar Diagram: Mostra o nasconde il diagramma solare
  • VISTASolar Diagram Color: Il colore del diagramma solare
  • VISTASolar Diagram Position: La posizione del diagramma solare
  • VISTASolar Diagram Scale: La scala del diagramma solare

Vista

  • VIEWSolar Diagram: Mostra o nasconde il diagramma solare
  • VIEWSolar Diagram Color: Il colore del diagramma solare
  • VIEWSolar Diagram Position: La posizione del diagramma solare
  • VIEWSolar Diagram Scale: La scala del diagramma solare

Tipico flusso di lavoro

Iniziare creando un oggetto che rappresenta il terreno. Deve essere una superficie aperta, non un solido. Per esempio, è facile per importare dati mesh, che possono essere trasformati in una Part Shape dal menu Part → Crea Forma da Mesh. Poi, creare un oggetto Sito, e impostare la sua proprietà DATATerrain dalla Parte appena creata:

Arch site example 01.jpg

Creare alcuni volumi (devono essere dei solidi) che rappresentano le aree che si desidera scavare o riempire. Fare doppio clic sull'oggetto Sito nella struttura ad albero, e aggiungere questi volumi ai gruppi Aggiunte o Sottrazioni. Fare clic su OK.

Arch site example 02.jpg

La geometria sito sarà ricalcolata e le proprietà aree, il perimetro e i volumi rivalutati.

Arch site example 03.jpg

Diagramma solare

Se nel proprio sistema è installato pysolar, i Siti di Arch possono visualizzare un diagramma solare. Per questo, le proprietà DATALongitude, DATALatitude e DATADeclination (precedentemente era DATANorth Deviation) devono essere impostate correttamente, e la proprietà VIEWSolar Diagram impostata su True. Disponibile dalla versione 0.17

Richiede Pysolar 0.7 o superiore; questa versione funziona solo con Python 3. Se serve questa funzione con Python 2, si deve avere Pysolar 0.6 in quanto questa è l'ultima versione che funziona con Python 2.

Freecad-solar-diagram.jpg

Lo strumento Sito può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Site = makeSite(objectslist=None, baseobj=None, name="Site")
  • Crea un oggetto Site da objectslist, che è una lista di oggetti, o da un baseobj, che è una Shape o un Terrain.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Building = Arch.makeBuilding([Wall])
Site = Arch.makeSite([Building])

FreeCAD.ActiveDocument.recompute()
FreeCAD.Gui.ActiveDocument.ActiveView.viewIsometric()

Diagramma solare

Se il modulo pysolar è presente, è possibile aggiungere al sito un diagramma solare. Impostare gli angoli di longitudine, latitudine e declinazione in modo appropriato, nonché una scala adeguata per le dimensioni del modello.

Notare che è richiesto Pysolar 0.7 o superiore, e questa versione funziona solo con Python 3.

Site.Longitude = -46.38
Site.Latitude = -23.33
Site.Declination = 30
#Site.Compass = True

Site.ViewObject.SolarDiagram = True
Site.ViewObject.SolarDiagramScale = 10000
FreeCAD.ActiveDocument.recompute()

Diagramma solare indipendente dal sito

Un diagramma solare può essere creato con la seguente funzione, indipendentemente da qualsiasi sito:

Node = makeSolarDiagram(longitude, latitude, scale=1, complete=False)
  • Crea un diagramma solare come nodo Pivy, usando longitude e latitude, con una scale opzionale.
  • Se complete è True, disegna i 12 mesi, che mostra l'intero analemma solare.
import FreeCADGui, Arch

Node = Arch.makeSolarDiagram(-46.38, -23.33, scale=10000, complete=True)
FreeCAD.Gui.ActiveDocument.ActiveView.getSceneGraph().addChild(Node)
Arrow-left.svg Arch Building.svg Edificio Pagina precedente:
Pagina successiva: Riferimento esterno Arch Reference.svg Arrow-right.svg

Arrow-left.svg Arch Reference.svg Riferimento esterno Pagina precedente:
Pagina successiva: Piano di sezione Arch SectionPlane.svg Arrow-right.svg

Arch Window.svg Finestra

Posizione nel menu
Arch → Finestra
Ambiente
Architettura
Avvio veloce
W I
Introdotto nella versione
-
Vedere anche
Muro, Aggiungi componente


Descrizione

La Finestra è l'oggetto di base per tutti i tipi di oggetti "incorporabili", quali le finestre, le porte, ecc.. È progettato per essere un elemento indipendente, oppure "ospitato" all'interno di un altro componente come ad esempio in un Muro, in una Struttura, o in un Tetto. Esso ha una propria geometria, che può essere formata da diversi componenti solidi (ad es. il telaio o i pannelli interni), e definisce anche un volume da sottrarre all'oggetto ospite, in modo da creare un'apertura. Il volume da sottrarre viene calcolato automaticamente.

Le finestre sono basate su oggetti 2D chiusi, quali ad esempio, dei rettangoli di Draft o di Schizzo, ambienti che sono utilizzati anche per definire i componenti interni. L'oggetto 2D di base deve contenere diversi contorni chiusi, che possono essere combinati per formare dei pannelli pieni (richiedono un contorno) o delle cornici (richiedono più contorni).

Lo strumento Finestra dispone anche di diversi preset, che permettono di realizzare porte o finestre da un elenco di parametri, senza la necessità di creare manualmente gli oggetti 2D di base e componenti. Le finestre possono anche essere creati da zero, disegnando prima un oggetto di base 2D.

Tutte le informazioni applicabili alle finestre si applicano anche alle porte, poiché sono costruite sullo stesso oggetto sottostante. La principale differenza tra una finestra e una porta è che la porta ha un pannello interno che viene mostrato opaco (la porta stessa), mentre la finestra ha un pannello parzialmente trasparente (il vetro).

Arch Window example.jpg

Finestra costruita su un Rettangolo Draft, quindi inserita in un Muro di Arch. Usando l'operazione Aggiungi si ritaglia automaticamente un'apertura corretta nel muro ospitante.


Arch Window example2.jpg

Finestra complessa costruita sopra uno Schizzo. Quando si accede alla modalità di modifica della finestra, è possibile creare diversi componenti, impostare il loro spessore e selezionare e assegnare ad essa i contorni di uno schizzo.


Utilizzo

Utilizzare i modelli preimpostati

  1. Premere il pulsante Arch Window.svg Finestra , oppure i tasti W e poi I.
  2. Selezionare uno dei preset nella lista.
  3. Compilare i parametri desiderati.
  4. Nella vista 3D, spostare la finestra nella posizione in cui si desidera posizionarla. Se si sposta il puntatore su un muro, il contorno della finestra dovrebbe allinearsi con la faccia di quell'oggetto.

Note: se si installa la "Parts Library" da AddonManager, lo strumento finestra cercherà in questa libreria ulteriori preimpostazioni. Questi preset sono dei file di FreeCAD contenenti una singola finestra basata su uno schizzo parametrico che ha i vincoli definiti. Si possono aggiungere ulteriori preset nella directory parts_library in modo che vengano trovati dallo strumento finestra.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

La $ROOT_DIR è la directory dell'utente in cui sono archiviati la configurazione, le macro e gli ambienti di lavoro esterni di FreeCAD.

  • Su Linux di solito è /home/username/.FreeCAD/
  • Su Windows di solito è C:\Users\username\Application Data\FreeCAD\
  • Su Mac OSX di solito è /Users/username/Library/Preferences/FreeCAD/

Creare dall'inizio

  1. Opzionalmente, selezionare una faccia sull'oggetto Arch in cui si desidera inserire la finestra.
  2. Passare nell'ambiente Sketcher.
  3. Creare un nuovo schizzo.
  4. Disegnare uno o più contorni chiusi (loop).
  5. Chiudere lo schizzo.
  6. Tornare nell'ambiente Arch.
  7. Premere il pulsante Arch Window.svg Finestra , o premere i tasti W e poi I.
  8. Per regolare i componenti della finestra e le varie proprietà, entrare nella finestra del pannello Azioni facendo doppio clic sull'oggetto creato nella vista ad albero.

Nota: quando si crea lo schizzo, prestare molta attenzione all'ordine di creazione dei contorni; la numerazione dei "segmenti" nel pannello delle azioni ("Elementi della finestra") dipende da questo.

Presets

Sono disponibili i seguenti modelli preimpostati:

Creare i componenti

La finestra può includere 3 tipi di componenti: i pannelli, le cornici e le persiane.

I pannelli e le persiane sono costituiti da un contorno chiuso che viene estruso. Le cornici sono formate da 2 o più contorni chiusi, entrambi estrusi, e quello più piccolo viene Arch Remove.png sottratto al più grande.

È possibile accedere, creare, modificare ed eliminare i componenti di una finestra in modalità di modifica (doppio clic sull'oggetto finestra nella struttura ad albero).

I componenti hanno le seguenti proprietà:

  • Name : Un nome per il componente
  • Type: Il tipo di componente. Può essere "Frame", "Glass panel" "Solid panel", o "Louvres"
  • Wires : Un elenco, separato da virgole, dei contorni su cui si basa il componente
  • Thickness : Lo spessore di estrusione del componente
  • Z Offset : La distanza tra il componente e la sua linea di base 2D
  • Hinge: Ciò consente di selezionare un bordo nell'oggetto 2D di base, quindi impostare tale bordo come cerniera per questo componente e quelli successivi nell'elenco
  • Opening mode: Se in questo componente o in qualsiasi altro precedente nell'elenco è stata definita una cerniera, l'impostazione della modalità di apertura consente alla finestra di apparire aperta o di visualizzare i simboli di apertura 2D in pianta o in elevazione.

Arch Window options.jpg

Opzioni

  • Gli elementi Finestra condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch
  • Se la casella Auto-include nel riquadro delle azioni di creazione della finestra non è selezionata, la finestra non verrà inserita in nessun oggetto ospite durante la creazione.
  • Per inserire la finestra selezionata in un muro, selezionare entrambi, poi premere il pulsante Arch Add.svg Aggiungi.
  • Per rimuovere la finestra selezionata da un muro selezionare la finestra, poi premere il pulsante Arch Remove.svg Rimuovi.
  • Quando si utilizzano i preset, di solito conviene attivare lo Snap "Vicino", in questo modo è possibile agganciare la finestra a una faccia esistente.
  • L'apertura creata da una finestra nel suo oggetto ospite è determinata da due proprietà: DATAHole Depth e DATAHole Wire (Disponibile dalla versione 0.17). Il numero del Hole Wire può essere selezionato nella vista 3D dal pannello delle finestre disponibili quando si fa doppio clic sulla finestra nella vista ad albero
  • La Finestra può utilizzare i Multi-Materiali. La finestra cerca nei multi-materiali allegati gli strati di materiale con lo stesso nome per ciascuna delle sue componenti e se è presente lo utilizza. Ad esempio, un componente denominato "OuterFrame" cerca nel Multi-Materiale collegato

uno strato di materiale denominato "OuterFrame". Se trova questo materiale lo attribuisce al componente OuterFrame. Il valore dello spessore dello strato di materiale viene ignorato.

Aperture

Vedere anche: il Tutorial per finestre aperte.

Le porte e le finestre possono apparire parzialmente o completamente aperte nel modello 3D oppure si possono visualizzare i simboli di apertura sia in pianta che in altezza. Di conseguenza, queste appariranno anche nelle viste in 2D estratte e generate da Draft Viste 2D o TechDraw o Drawing. Per ottenere ciò, almeno uno dei componenti della finestra deve avere una cerniera e una modalità di apertura definita (vedere la sezione precedente "Componenti dell'edificio"). Quindi, usando le proprietà DATAOpening, DATASymbol Plan o DATASymbol Elevation, si può configurare l'aspetto della finestra:

Arch window openings.png

Una porta che mostra da sinistra a destra come lavorano le proprietà Symbol Plan, Symbol Elevation e Opening


Proprietà

  • DATIHeight: L'altezza di questa finestra
  • DATIWidth: La larghezza di questa finestra
  • DATIHole Depth: La profondità dell'apertura creata dalla finestra nel suo oggetto ospite
  • DATIHole Wire: Il numero del contorno (wire) dell'oggetto base utilizzato per creare un'apertura nell'oggetto che ospita questa finestra. Questo valore può essere impostato graficamente facendo doppio clic sulla finestra nella vista ad albero. Impostando il valore 0, la finestra per creare il foro seleziona automaticamente il suo contorno più grande.
  • DATIWindow Parts : Una lista di stringhe (5 stringhe per ogni componente, che stabiliscono le opzioni dei componenti di cui sopra).
  • DATILouvre Width: Se uno dei componenti è impostato su "Louvres", questa proprietà definisce la dimensione delle lamelle della persiana
  • DATILouvre Spacing: Se uno dei componenti è impostato su "Louvres", questa proprietà definisce la spaziatura tra le lamelle
  • DATIOpening: Tutti i componenti che hanno la loro modalità di apertura impostata e che hanno una cerniera definita in essi o in un componente precedente nell'elenco, appaiono aperti di una percentuale definita da questo valore
  • DATISymbol Plan: Mostra il simbolo 2D di apertura nel piano
  • DATISymbol Elevation: Mostra il simbolo 2D di apertura nell'elevazione

Script

Vedere anche: API Arch e Script di base per FreeCAD.

Lo strumento Finestra può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
  • Crea un oggetto Window basato su un baseobj, che deve essere un Wire o uno Sketcher Schizzo chiuso.
  • Se disponibile, imposta width, height, e name (label) della finestra.
  • Se baseobj non è una forma chiusa, lo strumento non può creare un oggetto solido corretto.

Esempio:

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

Si può anche creare una finestra da un modello preimpostato.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)
  • Crea un oggetto Window basato su un windowtype, che deve essere uno dei nomi definiti in Arch.WindowPresets.
    • Alcuni di questi preset sono: "Fixed", "Open 1-pane", "Open 2-pane", "Sash 2-pane", "Sliding 2-pane", "Simple door", "Glass door", "Sliding 4-pane".
  • width e height definiscono le dimensioni totali dell'oggetto, con unità in millimetri.
  • I parametri h1, h2, h3 (vertical offsets), w1, w2 (widths), o1, e o2 (horizontal offsets) specificano le diverse distanze in millimetri e dipendono dal tipo di preset che si sta creando.
  • Se placement è dato, è usato.

Esempio:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)
Arrow-left.svg Arch Reference.svg Riferimento esterno Pagina precedente:
Pagina successiva: Piano di sezione Arch SectionPlane.svg Arrow-right.svg

Arrow-left.svg Arch Window.svg Finestra Pagina precedente:
Pagina successiva: Asse Arch CompAxis.png Arrow-right.svg

Arch SectionPlane.svg Piano di sezione

Posizione nel menu
Arch → Piano di sezione
Ambiente
Architettura
Avvio veloce
S P
Introdotto nella versione
-
Vedere anche
Vista 2D, Vista di Arch


Descrizione

Questo strumento posiziona nel documento corrente un attrezzo Piano di sezione, che definisce una sezione o un piano di vista. Il piano di sezione viene posizionato in funzione del corrente Piano di lavoro e può essere spostato e riorientato muovendolo e ruotandolo, fino a quando non riproduce la vista 2D che si vuole ottenere. L'oggetto Piano di sezione prende in considerazione solo un certo insieme di oggetti. Gli oggetti che sono selezionati quando si crea un piano di sezione sono aggiunti a queesto insieme automaticamente. Altri oggetti possono essere aggiunti o rimossi da un Piano di sezione anche in seguito con gli strumenti Aggiungi componente o Rimuovi componente, o facendo doppio clic sul Piano di sezione nella vista ad albero.

Il solo Piano di sezione non crea alcuna vista degli oggetti. Per ottenere le viste, è necessario creare un Disegno per creare una vista in una Pagina di disegno , e una Vista 2D per creare una vista nel documento 3D stesso, o una Vista TechDraw di Arch per creare una vista in una Pagina di TechDraw.

Arch SectionPlane example.jpg

Utilizzo

  1. Opzionalmente, impostare il Piano di lavoro per riflettere il piano in cui si desidera posizionare il piano di sezione.
  2. Selezionare gli oggetti da includere nella sezione.
  3. Premere il pulsante Arch SectionPlane.svg Piano di sezione, oppure premere i tasti S e P.
  4. Spostare o ruotare il piano di sezione nella posizione corretta, se necessario.
  5. Selezionare il piano di sezione se non è già stato selezionato.
  6. Usare Vista disegno di Drawing, Vista 2D di Draft o Vista TechDraw di Arch per creare la vista.

Opzioni

  • L'oggetto Piano di sezione prende in considerazione solo un certo insieme di oggetti, non tutti gli oggetti del documento. Gli oggetti possono essere aggiunti o rimossi da un oggetto Piano di sezione utilizzando gli strumenti Aggiungi e Rimuovi, o facendo doppio clic sul Piano di sezione nella vista ad albero, e poi selezionando gli oggetti sia nella lista che nella scena 3D, e premendo il tasto aggiungi o rimuovi.
  • Con un oggetto piano di sezione selezionato, utilizzare lo strumento Vista 2D per creare nel documento un oggetto che rappresenta la vista di sezione

Arch Section example2.jpg

Arch Section example3.jpg

  • Il Piano di sezione può anche essere usato per mostrare l'intera vista 3D tagliata da un piano infinito. Questo è solo visivo, e non influenza la geometria degli oggetti da tagliare.

Arch SectionPlane CutView.jpg

Proprietà

  • DATIOnly Solids: se questo è vero, gli oggetti non solidi vengono ignorati
  • VISTADisplay Length: la lunghezza della sezione piana gizmo nella vista 3D. Non influisce sulla vista risultante
  • VISTADisplay Height: l'altezza della sezione piana gizmo nella vista 3D. Non influisce sulla vista risultante
  • VISTAArrow Size: la dimensione delle frecce del piano di sezione gizmo nella vista 3D. Non influisce sulla vista risultante
  • VISTACut View: se questo è True, vero, l'intera vista 3D viene tagliata in corrispondenza di tale piano di sezione.
  • VIEWClip view: se True, ritaglia la vista all'altezza e alla lunghezza della visualizzazione del piano di taglio. Questo trasforma efficacemente il piano di taglio in una fotocamera ortografica, limitando il campo visivo del piano. Disponibile dalla versione 0.19

Arch SectionPlane ClipView.png

Il piano di sezione con l'opzione clip view si comporta come una fotocamera, limitando il campo visivo.


Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Piano di sezione può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Section = makeSectionPlane(objectslist=None, name="Section")
  • Crea un oggetto Section da una objectslist, che è una lista di oggetti.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
Structure = Arch.makeStructure(length=1000, width=1000, height=200)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor, Structure])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()

Section1 = Arch.makeSectionPlane([Wall1, Wall2])
Section2 = Arch.makeSectionPlane([Structure])
Section3 = Arch.makeSectionPlane([Site])
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Window.svg Finestra Pagina precedente:
Pagina successiva: Asse Arch CompAxis.png Arrow-right.svg

Arrow-left.svg Arch CompAxis.png Assi Pagina precedente:
Pagina successiva: Sistema di assi Arch AxisSystem.png Arrow-right.svg

Arch Axis.svg Assi

Posizione nel menu
Arch → Assi
Ambiente
Arch
Avvio veloce
A X
Introdotto nella versione
-
Vedere anche
Sistema di assi, Griglia


Descrizione

Lo strumento Assi permette di posizionare una serie di assi nel documento corrente. La distanza e l'angolo tra gli assi è personalizzabile, così come lo stile di numerazione. Gli assi servono principalmente da riferimento per bloccare gli oggetti, ma possono anche essere utilizzati in combinazione con dei Sistemi di assi, e possono anche essere referenziati da altri oggetti Arch per creare schiere parametriche, ad esempio di travi o colonne. Al posto degli assi si può anche usare una Griglia.

Arch Axis example.jpg

Due assi posizionati perpendicolarmente tra loro per creare una griglia


Utilizzo

  1. Premere il pulsante Arch Axis.svg Assi, oppure premere i tasti A e X
  2. Spostare o ruotare il sistema di assi nella posizione desiderata
  3. Attivare la modalità di modifica facendo doppio clic sul sistema di assi nella vista ad albero per regolare le impostazioni quali il numero di assi, le distanze e gli angoli tra gli assi.

Opzioni

  • Ogni asse di un sistema di assi ha una propria distanza e un proprio angolo rispetto all'asse precedente. Questo permette di creare sistemi molto complessi, quali sistemi non ortogonali, sistemi polari o qualsiasi tipo di sistema non uniforme.
  • Facendo doppio clic sull'asse nella vista ad albero è possibile modificare le distanze, gli angoli e le etichette di ciascun asse.
  • La lunghezza degli assi, le dimensioni delle bolle e gli stili di numerazione sono personalizzabili direttamente tramite le proprietà del sistema di assi.
  • Ogni asse può anche visualizzare un'etichetta, anch'essa modificabile tramite la finestra di dialogo del pannello azioni.

Proprietà

  • DATILength: La lunghezza degli assi
  • VISTABubble Size: La dimensione dei cerchi di numerazione degli assi
  • VISTANumeration style: Lo stile di numerazione degli assi: 1,2,3, A, B, C, ecc.
  • VISTABubble Position: Dove la bolla è posizionata sull'asse: al punto iniziale, endpoint, entrambi o nessuno.
  • VISTAFont Name: Un font per disegnare il numero della bolla e/o le etichette
  • VISTAFont Size: Solo la dimensione del testo dell'etichetta (il testo della bolla è controllato dalla dimensione della bolla)
  • VISTAShow Labels: Attiva/disattiva la visualizzazione dei testi delle etichette

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Assi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Crea un oggetto Axes con un dato numero (num) di assi e un intervallo size tra ciascun asse.

Esempio:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch CompAxis.png Assi Pagina precedente:
Pagina successiva: Sistema di assi Arch AxisSystem.png Arrow-right.svg

Arrow-left.svg Arch Grid.svg Griglia Pagina precedente:
Pagina successiva: Spazio Arch Space.svg Arrow-right.svg

Arch Roof.svg Tetto

Posizione nel menu
Arch → Tetto
Ambiente
Architettura
Avvio veloce
R F
Introdotto nella versione
-
Vedere anche
Struttura, Parete


Descrizione

Lo strumento Tetto consente di creare un tetto inclinato selezionando un contorno. L'oggetto Tetto creato in questo modo è parametrico e mantiene le sue relazioni con l'oggetto base. Si basa sul principio che ad ogni bordo viene assegnata una falda del tetto (con le caratteristiche di pendenza, larghezza coperta, sbalzo, spessore).

Questo strumento è ancora in sviluppo e potrebbe non funzionare correttamente con le forme molto complesse.

RoofExample.png

Vista dall'alto di un modello di edificio che mostra il tetto in trasparenza


Utilizzo

  1. Creare un contorno seguendo il senso antiorario e selezionarlo.
    • CounterclockwiseWire.png
  2. Premere il pulsante Arch Roof.svg Tetto, o premere i tasti R e poi F
  3. Se l'oggetto tetto predefinito ha una forma strana è perché lo strumento non possiede tutte le informazioni necessarie.
  4. Dopo aver creato il tetto predefinito, fare doppio clic sull'oggetto nella vista ad albero per accedere alla modifica di tutte le sue proprietà. Angolo deve essere compreso tra 0 e 90.
    • RoofTable.png
  5. Ogni riga corrisponde ad una falda del tetto. Quindi è possibile impostare le proprietà desiderate per ogni falda del tetto.
  6. Per aiutarvi, è possibile impostare Angolo oppure Run a 0 e definire un ID relativo, questo rende automatici i calcoli per trovare i dati relativi a IdRelativo.
  7. Funziona in questo modo:
    1. Se Angolo = 0 e Run = 0 allora il profilo è identico al profilo relativo.
    2. Se Angolo = 0 allora l'angolo viene calcolato in modo che l'altezza sia la stessa del profilo relativo.
    3. Se Run = 0 allora Run è calcolato in modo che l'altezza sia la stessa del profilo relativo.
  8. Alla fine, impostare un angolo di 90° per creare un frontone, una parete di tamponamento.
    • RoofProfil.png
  9. Inoltre è possibile guardare questo video : https://www.youtube.com/watch?v=4Urwru71dVk

Opzioni

  • Gli elementi Tetto condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch

Proprietà

  • DATIAngles: Angolo di pendenza di ogni falda (un angolo per ciascun lato del contorno di base).
  • DATIRuns: Proiezione orizzontale della lunghezza della falda (un Run per ciascun lato del contorno di base).
  • DATIIdRel: Relazioni Id The slope angle of the roof
  • DATIThickness: Spessore della falda (uno spessore per ciascun lato del contorno di base).
  • DATIOverhang: Sbalzo della falda, in proiezione orizzontale (uno sbalzo per ciascun lato del contorno di base).
  • DATIFace: L'indice della faccia dell'oggetto di base da utilizzare #Non ancora usato

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Tetto può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Roof = makeRoof(baseobj=None, facenr=0, angles=[45.,], run=[], idrel=[0,], thickness=[50.,], overhang=[100.,], name="Roof")
  • Crea un oggetto Roof dal baseobj dato, che può essere un contorno chiuso o un oggetto solido.
    • Se baseobj è un contorno, è possibile fornire elenchi per angles, run, idrel, thickness, e overhang, per ciascun bordo del contorno per definire la forma del tetto.
    • Gli elenchi vengono completati automaticamente per corrispondere al numero di spigoli del contorno.

Esempio:

import FreeCAD, Arch, Draft

Rect = Draft.makeRectangle(3000, 4000)
Roof = Arch.makeRoof(Rect, angles=[30.,])
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(0, 2000, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)
Roof2 = Arch.makeRoof(Wire)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Grid.svg Griglia Pagina precedente:
Pagina successiva: Spazio Arch Space.svg Arrow-right.svg

Arrow-left.svg Arch Roof.svg Tetto Pagina precedente:
Pagina successiva: Scale Arch Stairs.svg Arrow-right.svg

Arch Space.svg Spazio

Posizione nel menu
Arch → Spazio
Ambiente
Arch
Avvio veloce
S P
Introdotto nella versione
0.14
Vedere anche
Parete, Struttura


Descrizione

Lo strumento Spazio consente di definire un volume vuoto, basato su una forma solida, oppure definendo i suoi confini, o con un mix di entrambi. Se è basato esclusivamente sui confini, il volume viene calcolato a partire dai confini dati, e sottraendo lo spazio interno ai confini. L'oggetto spazio definisce sempre un volume solido. Può anche essere visualizzata la superficie di un oggetto spazio, calcolata intersecando un piano orizzontale nel centro di massa del volume dello spazio.

Arch Space example.jpg

Oggetto spazio creato da un oggetto solido esistente, poi sono aggiunte due facce della parete come confini.


Utilizzo

  • Selezionare un oggetto solido esistente o le facce che lo delimitano.
  • Premere il pulsante Arch Space.svg Spazio, oppure i tasti S, P.

Limitazioni

  • Attualmente, le proprietà boundaries non sono modificabile tramite GUI.
  • Per seguire l'evoluzione dello strumento consultare la pagina Arch Space nel forum.

Proprietà

  • DATIBase: L'oggetto base, se esiste (deve essere un solido).
  • DATIBoundaries: Un elenco di confini opzionali.
  • DATIArea: L'area del pavimento calcolata in questo spazio.
  • DATIFinishFloor: La finitura del pavimento di questo spazio.
  • DATIFinishWalls: La finitura delle pareti di questo spazio.
  • DATIFinishCeiling: La finitura del soffitto di questo spazio.
  • DATIGroup: Gli oggetti che sono inclusi in questo spazio, come arredo.
  • DATISpaceType: Il tipo di questo spazio.
  • DATIFloorThickness: Lo spessore della finitura del pavimento.
  • DATINumberOfPeople: Il numero di persone che di solito occupano questo spazio.
  • DATILightingPower: La potenza elettrica necessaria per illuminare questo spazio in Watt.
  • DATIEquipmentPower: La potenza elettrica necessaria per gli apparecchi di questo spazio in Watt.
  • DATIAutoPower: Se True, Equipment Power viene compilata automaticamente dalla potenza degli apparecchi inclusi in questo spazio.
  • DATIConditioning: Il tipo di aria condizionata di questo spazio.
  • DATIInternal: Specifica se questo spazio è interno o esterno.
  • VISTAText: Il testo da mostrare. Usare $area, $label, $tag, $floor, $walls, $ceiling per inserire i rispettivi dati.
  • VISTAFontName: Il nome del carattere.
  • VISTATextColor: Il colore del testo.
  • VISTAFontSize: La dimensione del testo.
  • VISTAFirstLine:La dimensione della prima riga di testo (moltiplica la dimensione del carattere 1 = stessa dimensione, 2 = doppia dimensione, ecc.).
  • VISTALineSpacing: Lo spazio tra le righe di testo.
  • VISTATextPosition: La posizione del testo. Lasciare (0,0,0) per la posizione automatica.
  • VISTATextAlign: La giustificazione del testo.
  • VISTADecimals: Il numero di decimali da utilizzare per i testi calcolati.
  • VISTAShowUnit: Mostra il suffisso dell'unità di misura o no.

Opzioni

  • Per creare zone che raggruppano più spazi, utilizzare Parte di edificio e impostare il tipo di IFC su "Spatial Zone"
  • L'oggetto spazio ha le stesse modalità di visualizzazione degli altri oggetti Arch e Part, con una modalità in più chiamata Footprint, che visualizza solo la faccia inferiore dello spazio. Disponibile dalla versione 0.19

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Spazio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Crea un oggetto Space con gli objects dati, o con un baseobj, che può essere.
    • un oggetto del documento, nel qual caso diventa la forma base dell'oggetto spazio, o
    • un elenco di oggetti selezionati restituiti da FreeCADGui.Selection.getSelectionEx(), o
    • una lista di tuple (object, subobjectname)

Esempio:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

Dopo aver creato un oggetto spazio, ad esso si possono aggiungere delle facce selezionate con il seguente codice:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

I confini possono anche essere rimossi, selezionando nuovamente le facce indicate:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
Arrow-left.svg Arch Roof.svg Tetto Pagina precedente:
Pagina successiva: Scale Arch Stairs.svg Arrow-right.svg

Arrow-left.svg Arch Space.svg Spazio Pagina precedente:
Pagina successiva: Pannelli Arch CompPanel.png Arrow-right.svg

Arch Stairs.svg Scala

Posizione nel menu
Arch → Scala
Ambiente
Arch
Avvio veloce
S R
Introdotto nella versione
0.14
Vedere anche
Struttura, Arredo


Descrizione

Lo strumento Scale consente di creare automaticamente i diversi tipi di scale. Al momento, sono supportate solo le scale dritte (con o senza pianerottolo) sono supportati. Le scale possono essere costruite da zero, o da una linea dritta, nel qual caso le scale seguono la linea. Se la linea non è orizzontale, ma è inclinata verticalmente, anche le scale seguono la sua pendenza.

Vedere in Stairs entry in wikipedia la definizione dei diversi termini usati per descrivere le parti delle scale.

Arch Stairs example.jpg

Due scale, uno con una struttura massiccia e un pianerottolo, e un'altra con un solo montante.


Opzioni

  • Gli elementi Scala condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch

Utilizzo

  • Premere il pulsante Arch Stairs.svg Scala, oppure i tasti S, R.
  1. Adeguare le proprietà desiderate. Alcune parti delle scale potrebbero non apparire immediatamente se una qualsiasi delle proprietà lo rende impossibile. Ad esempio, potrebbe non apparire la struttura se il suo spessore è impostato pari a 0.

Proprietà

StairsProperties it.png

Dati

Arch

  • DatiAlign: L'allineamento delle scale sulla loro linea base, se applicabile.
  • DatiBase: La linea base delle scale, se presente.
  • DatiHeight: Interpiano. L'altezza totale delle scale, se non sono basate su una linea base o se la linea base è orizzontale.
  • DatiLength: La lunghezza totale delle scale se non è definita una linea base.
  • DatiWidth: La larghezza della scala

Base

  • DatiLabel: nome
  • DatiPlacement: posizionamento del punto base della scala (angolo anteriore sinistro del primo scalino)

Steps

  • DatiNosing: lunghezza di sovrapposizione degli scalini
  • DatiNumber of risers: numero di scalini, numero di alzate
  • DatiRiser Height: alzata, altezza del gradino
  • DatiTread Depth: pedata, larghezza del gradino
  • DatiTread Thickness: spessore degli scalini (aggiunto verso il basso)

Structure

  • DatiLandigs: pianerottoli
  • DatiStringer Offset: distanza tra il bordo degli scalini e la struttura di sostegno
  • DatiStringer Width: larghezza della struttura di sostegno
  • DatiStructure: tipo di struttura della scala
  • DatiStructure...: dimensione per la struttura massiccia, piena
  • DatiWinders: gradini a ventaglio


Inoltre sono disponibili le Proprietà standard di vista degli oggetti.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Le Scale possono essere create con le macro e dalla console Python tramite la seguente funzione:

Stairs = makeStairs(baseobj=None, length=None, width=None, height=None, steps=None, name="Stairs")
  • Crea un oggetto Stairs da un dato baseobj.
  • Se non viene fornito il baseobj, usa length, width, height, e steps, per costruire un oggetto solido.

Esempio:

import Arch

Stairs = Arch.makeStairs(length=5000, width=1200, height=3000, steps=14)

Limitazioni

  • Al momento sono disponibili solo scale dritte
  • Vedere nel forum per scale circolari.
  • Per seguire l'evoluzione dello strumento consultare la pagina Arch Stairs nel forum
Arrow-left.svg Arch Space.svg Spazio Pagina precedente:
Pagina successiva: Pannelli Arch CompPanel.png Arrow-right.svg

Ambiente Arch: Strumenti di modifica


Arrow-left.svg Arch CutPlane.svg Taglia con un piano Pagina precedente:
Pagina successiva: Rimuovi componente Arch Remove.svg Arrow-right.svg

Arch Add.svg Aggiungi

Posizione nel menu
Arch → Aggiungi
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Rimuovi


Descrizione

Lo strumento Aggiungi permette di eseguire diversi tipi di operazioni:

  • Aggiungere a un componente di Architettura degli oggetti basati su forme, ad esempio un muro o una struttura. Questi oggetti vengono inseriti nell'elemento Architettura, è possibile modificare la loro forma, ma mantenendo le loro caratteristiche di base come la larghezza e l'altezza
  • Aggiungere componenti Architettura, quali muri o strutture, a un oggetto costituito da un gruppo base come il piano.
  • Aggiungere dei sistemi di assi a oggetti struttura
  • Aggiungere oggetti ai piani di sezione

La controparte di questo strumento è lo strumento Rimuovi.

Arch Add example.jpg

Un box aggiunto a un muro come componente.


Utilizzo

  1. Selezionare gli oggetti da unire. L'ultimo oggetto selezionato è l'oggetto Arch ospite.
  2. Premere il pulsante Arch Add.svg Aggiungi.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Aggiungi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

addComponents(objectsList, host)
  • Aggiunge gli oggetti dati in objectsList all'oggetto host specificato.
    • objectsList può essere un singolo oggetto o un elenco di oggetti.

Esempio:

import FreeCAD, Arch, Draft, Part

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 2000, 0)

Line = Draft.makeWire([p1, p2])
Wall = Arch.makeWall(Line, width=150, height=2000)

p3 = FreeCAD.Vector(0, 2000, 0)
p4 = FreeCAD.Vector(3000, 0, 0)

Line2 = Draft.makeWire([p3, p4])
Wall2 = Arch.makeWall(Line2, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Arch.addComponents(Wall2, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch CutPlane.svg Taglia con un piano Pagina precedente:
Pagina successiva: Rimuovi componente Arch Remove.svg Arrow-right.svg

Arrow-left.svg Arch Add.svg Aggiungi componente Pagina precedente:
Pagina successiva: Ispeziona Arch Survey.svg Arrow-right.svg

Arch Remove.svg Rimuovi

Posizione nel menu
Arch → Rimuovi
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Aggiungi


Descrizione

Lo strumento Rimuovi permette di eseguire 2 tipi di operazioni:

  • Rimuovere un sotto-componente di un oggetto Architettura, ad esempio rimuovere il cubo che è stato inserito in una parete per descrivere il comando Aggiungi.
  • Rimuovere un oggetto basato su forme, tipo un muro o una struttura, da un oggetto Architettura

La controparte di questo strumento è lo strumento Aggiungi.

Arch Remove example.jpg

Un parallelepipedo sottratto da un muro, lasciando un buco in esso.


Utilizzo

  1. Selezionare un sotto-componente all'interno di un oggetto Architettura.
  2. Premere il pulsante Arch Remove.svg Rimuovi.

Oppure

  1. Selezionare gli oggetti da sottrarre, l'ultimo oggetto selezionato deve l'oggetto Arch dal quale verranno sottratti gli altri oggetti.
  2. Premere il pulsante Arch Remove.svg Rimuovi.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Rimuovi può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

removeComponents(objectsList, host=None)
  • Rimuove dal genitore il componente o i componenti della lista objectsList fornita.
  • Se viene specificato un oggetto host, questa funzione prova invece ad aggiungere gli oggetti alla objectsList, come fori a host.

Esempio:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Add.svg Aggiungi componente Pagina precedente:
Pagina successiva: Ispeziona Arch Survey.svg Arrow-right.svg

Ambiente Arch: Utilità


Arrow-left.svg Arch Component Clone.svg Clona componente Pagina precedente:
Pagina successiva: Da Mesh a Forma Arch MeshToShape.svg Arrow-right.svg

Arch SplitMesh.svg Dividi mesh

Posizione nel menu
Arch → Utilità → Dividi Mesh
Ambiente
Architetttura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Seleziona mesh non solidi, Da Mesh a Forma


Descrizione

Questo strumento suddivide un oggetto Mesh selezionato nei suoi singoli componenti

Utilizzo

  1. Selezionare un oggetto mesh.
  2. Premere il pulsante Arch SplitMesh.png Dividi Mesh in Arch → Utilità → Dividi Mesh.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Dividi Mesh può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

new_list = splitMesh(obj, mark=True)
  • Divide l'oggetto mesh dato (obj) in componenti separati.
  • Se mark è True non-manifold i componenti diventano rossi.
  • new_list è un elenco di tutti i singoli componenti che creano la mesh.

Esempio:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)
Arrow-left.svg Arch Component Clone.svg Clona componente Pagina precedente:
Pagina successiva: Da Mesh a Forma Arch MeshToShape.svg Arrow-right.svg

Arrow-left.svg Arch SplitMesh.svg Dividi Mesh Pagina precedente:
Pagina successiva: Seleziona le mesh non-solid Arch SelectNonSolidMeshes.png Arrow-right.svg

Arch MeshToShape.svg Da Mesh a Forma

Posizione nel menu
Arch → Utilità → Da Mesh a Forma
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Dividi mesh, Rimuovi Forma


Descrizione

Questo strumento converte un oggetto Mesh selezionato in un oggetto Forma. Notare che questo strumento è ottimizzato per oggetti con facce piane (senza curve). Lo strumento corrispondente dell'ambiente Parte può essere più adatto per gli oggetti che contengono superfici curve.

Utilizzo

  1. Selezionare un oggetto mesh.
  2. Premere il pulsante Arch MeshToShape.svg Da mesh a forma in Arch → Utilità → Da mesh a forma.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Questo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
  • Trasforma il dato obj, una mesh, in una forma, unendo le facce complanari.
  • Se mark è True, gli oggetti non solidi saranno contrassegnati in rosso.
  • Se fast è True usa un algoritmo più veloce costruendo una shell dalle faccette.
  • tol è la tolleranza utilizzata durante la conversione dei segmenti di mesh in contorni.
  • Se flat è True forza i contorni a essere perfettamente planari, per essere sicuri che possano essere trasformati in facce, ma ciò potrebbe lasciare degli spazi vuoti nella shell finale.
  • Se cut è True i fori nelle facce sono fatti per sottrazione.
import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)
Arrow-left.svg Arch SplitMesh.svg Dividi Mesh Pagina precedente:
Pagina successiva: Seleziona le mesh non-solid Arch SelectNonSolidMeshes.png Arrow-right.svg

Arrow-left.svg Arch SelectNonSolidMeshes.png Seleziona mesh non solidi Pagina precedente:
Pagina successiva: Chiudi fori Arch CloseHoles.svg Arrow-right.svg

Arch RemoveShape.svg Rimuovi forma

Posizione nel menu
Arch → Utilità → Rimuovi forma
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Dividi mesh, Da Mesh a Forma


Descrizione

Questo strumento tenta di eliminare una forma cubica (un parallelepipedo) incorporata in un Muro o in una Struttura e di regolare le sue proprietà per rendere l'oggetto rimanente totalmente parametrico. Questo strumento funziona solo se la forma da eliminare è cubica (con 6 facce e tutti gli angoli retti).

Utilizzo

  1. Selezionare un Muro o una Struttura.
  2. Premere il pulsante Arch RemoveShape.svg Rimuovi Forma in Arch → Utilità → Rimuovi Forma.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Questo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

removeShape(objs, mark=True)

Prende una lista di oggetti Arch (objs) costruiti su una forma cubica, e rimuove la forma interna, conservando la sua lunghezza, larghezza e altezza come proprietà dell'oggetto Arch.

  • Se mark è True, gli oggetti che non possono essere elaborati da questa funzione diventano rossi.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch SelectNonSolidMeshes.png Seleziona mesh non solidi Pagina precedente:
Pagina successiva: Chiudi fori Arch CloseHoles.svg Arrow-right.svg

Arrow-left.svg Arch MeshToShape.svg Da Mesh a Forma Pagina precedente:
Pagina successiva: Rimuovi forma Arch RemoveShape.svg Arrow-right.svg

Arch SelectNonSolidMeshes.png Seleziona non solidi

Posizione nel menu
Arch → Utilità → Seleziona le mesh non solidi
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Dividi mesh,Da mesh a forma


Descrizione

Questo strumento identifica e seleziona i mesh non-solido, non-manifold, non-varietà in un gruppo di oggetti Mesh selezionati.

Utilizzo

  1. Selezionare un oggetto mesh.
  2. Premere il pulsante Arch SelectNonManifold.svg Seleziona le mesh non solidi in Arch → Utilità → Seleziona le mesh non solidi.
Arrow-left.svg Arch MeshToShape.svg Da Mesh a Forma Pagina precedente:
Pagina successiva: Rimuovi forma Arch RemoveShape.svg Arrow-right.svg

Arrow-left.svg Arch RemoveShape.svg Rimuovi forma Pagina precedente:
Pagina successiva: Unisci pareti Arch MergeWalls.svg Arrow-right.svg

Arch CloseHoles.svg Chiudi fori

Posizione nel menu
Arch → Utilità → Chiudi fori
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Controlla


Descrizione

Questo strumento identifica i fori (sequenza circolare di bordi aperti) in un oggetto Forma e tenta di chiuderlo con l'aggiunta di una nuova faccia costruita dalla sequenza dei bordi aperti. È però comunque necessario verificare se il risultato è un solido.

Utilizzo

  1. Selezionare una Forma (un oggetto Parte)
  2. Selezionare la voce Arch CloseHoles.svg Chiudi fori nel menu Arch → Utilità → Chiudi fori.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

solid = closeHole(shape)
  • Chiude un foro in una shape, che è una Part.Shape, e restituisce il nuovo oggetto solid.

Esempio:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute() 

solid = Arch.closeHole(Wall.Shape)
Arrow-left.svg Arch RemoveShape.svg Rimuovi forma Pagina precedente:
Pagina successiva: Unisci pareti Arch MergeWalls.svg Arrow-right.svg

Arrow-left.svg Arch MergeWalls.svg Unisci pareti Pagina precedente:
Pagina successiva: Explorer Ifc Arch IfcExplorer.png Arrow-right.svg

Arch Check.svg Controlla

Posizione nel menu
Arch → Utilità → Controlla
Ambiente
Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Chiudi fori


Descrizione

Questo strumento controlla il documento corrente o gli oggetti selezionati alla ricerca di oggetti Parte o Architettura non-solidi, che potrebbero dare problemi, poiché la maggior parte delle operazioni del modulo Architettura richiedono oggetti solidi.

Utilizzo

  1. Selezionare la voce Arch Check.svg Controlla nel menu Arch → Utilità → Controlla.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

list_bad = check(objectslist, includehidden=False)
  • Controlla se gli oggetti dati in objectslist contengono solo solidi.
  • Se includehidden è True include tutti gli oggetti nascosti, altrimenti li esclude dalla ricerca.
  • Restituisce una list_bad, una lista con gli oggetti che non sono derivati da una Part::Feature, o componenti che non sono chiusi, non validi, non contengono solidi o che contengono facce che non fanno parte di alcun solido. Questo è usato per rilevare contorni e profili di Arch o Draft che non sono solidi.
    • Ogni elemento in list_bad è un'altra lista [object, message], dove object è l'oggetto rilevato non solido, e message indica il motivo per cui è stato incluso in questo elenco.

Esempio:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute()

Circle = Draft.makeCircle(450)
Wire = Draft.makeWire([FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(1500, 1000, 0), FreeCAD.Vector(2500, -1000, 0)])

list_bad = Arch.check([Wall1, Wall2, Circle, Wire], includehidden=True)
print(list_bad)
Arrow-left.svg Arch MergeWalls.svg Unisci pareti Pagina precedente:
Pagina successiva: Explorer Ifc Arch IfcExplorer.png Arrow-right.svg

Ambiente Arch: Altri strumenti e strumenti non documentati

Sezione in costruzione


Questa sezione elenca una serie di comandi che non sono ancora inclusi in questo documento. Alcuni di questi strumenti sono recenti o sono in fase di sviluppo. Per avere maggiori informazioni consultare la Guida in linea o visitare il forum


Formati dei file

  • IFC : Industry foundation Classes (solo importazione)
  • DAE : Collada mesh format
  • OBJ : Obj mesh format (solo esportazione)


Altre lingue: {{}}